Answered
0
0

Hey everyone, having some trouble connecting Fmod with Unreal Editor live on my Mac system, first I got an error message that my game needed to be running on unreal, so I had it running. Then when I pressed connect to “local host” when the game was live, the “live update” indicator at the bottom of the Fmod project window was flashing, but it never would connect.

In Unreal, under plugin settings from the “Edit” dropdown, Fmod is enabled as a plugin already, so I’m not sure why it won’t work

  • You must to post comments
Best Answer
0
0

Alright, perfect, so what I’m seeing in the UE4 editor, ‘About Fmod Studio’, is:

Built Version: 1.08.00
DLL Version: 1.08.01

So you’re saying that difference in number or version is what is messing up the live connect functionality? I don’t even remember dropping a separate or different ‘DLL’ file myself, manually, into the Binaries folder.

I navigated to that folder but, what do I have to do now? I see, Mac, Linux, iOS.. all these different platforms. So what’s the next step to get the runtime version on the same page?

  • Geoff Carlton

    To update the UE4 integration, you can do one of two things:

    1.) Download the latest UE4 integration from the FMOD web page and replace your integration with the new one.

    2.) If you have made changes to the integration or just want to replace the FMOD runtime, you can download the Programmers API, and replace the fmod header files in FMODStudio\Source\FMODStudio\Public\fmod and replace the dynamic libraries in FMODStudio\Binaries\Win64.

    Its a good idea to keep the runtime up to date. The live update issue is a once-off, but if you don’t get a new integration, the runtime won’t be support any new features (such as polyphony cooldown, which was added to 1.08.03).

  • Jesse Lyon

    The integration fixed our connection issues, thanks Geoff.

    The other Jesse on here with the same question had me confused for a second…I thought maybe I had posted in my sleep!

  • Jesse

    Geoff – Do you have a guide for how this would work on a Mac computer? I’m not sure if you’re working on a Windows machine, but I couldn’t figure out how to follow those directions specifically.

    First question I have is, which version needs to be regulated to which? Does the built version of the Fmod plugin have to be on the same page as the DLL version? Or vice-versa?

    For instance, should we be working with version 1.08.01, or 1.08.00?

    After that matter is addressed, if you could please give specific instructions for how to make it work on a Mac machine, that would be awesome :)

  • Geoff Carlton

    Can you just download a newer version from the FMOD website and use it? You will only need to rebuild if you want to use it with an older or newer version of UE4.

  • You must to post comments
1
0

What version of Studio and runtime are you using? Try to make sure they are the same. There was a slight change in networking in 1.08.03, so if the tool is later but the runtime is earlier, you might have a problem connecting.

  • You must to post comments
0
0

Thank you for your response.

Would you also be able to tell me where I find my version of runtime, working in Unreal 4.10? I’m sure where I might find that info.

And I am working on Studio 1.08.03

  • Geoff Carlton

    The UE4 integration can print the runtime version info. Select the UE4 help menu item “About FMOD Studio”. It will display the version the integration was built against, and the version in the DLL files. They are usually the same, but it can differ it you drop a new DLL into the binaries directory.

  • Jesse

    I just see, ‘Fmod Studio 1.08.03’ when I click about fmod studio, there’s also some patch notes and stuff, but after for the runtime version, I’m not seeing that.. there is a build #??

  • You must to post comments
Showing 3 results
Your Answer

Please first to submit.